import { Pipe, PipeTransform } from '@angular/core';
import { Sort } from './sort';

const sorter = new Sort();

// This is a sorting pipe for the list of people.
// I couldn't come up with a better way of doing it at the moment.

@Pipe({
  name: 'customSort',
})
export class CustomSortPipe implements PipeTransform {
  public transform(value: Array<any>, field: string, direction: number): Array<any> {
    if (direction === 0 || field == null) {
      return value;
    }
    return sorter.sort(value.slice(), field, direction);
  }
}
