import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

// This is the service file for the API request

@Injectable({
  providedIn: 'root',
})
export class ListService {
  private listUrl = 'https://proovitoo.lunasqu.ee/list.json';

  constructor(private http: HttpClient) { }

  public getList(): Observable<any> {
    return this.http.get<any>(this.listUrl);
  }
}
