import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class ArticleService {
  private articleUrl = 'https://proovitoo.lunasqu.ee/article.json';

  constructor(private http: HttpClient) { }

  public getArticle(): Observable<any> {
    return this.http.get<any>(this.articleUrl);
  }

}
