import { Component, OnInit } from '@angular/core';

import { ArticleService } from '../article.service';

import { IArticle } from '../article';

@Component({
  selector: 'app-article',
  styleUrls: ['./article.component.styl'],
  templateUrl: './article.component.html',
})
export class ArticleComponent implements OnInit {
  public article: IArticle;

  constructor(private articleService: ArticleService) { }

  public ngOnInit(): void {
    this.articleService.getArticle().subscribe((data) => this.article = data);
  }

}
