
export interface IPerson {
  firstname: string;
  surname: string;
  sex: string;
  personal_code: number;
  dob: string;
  phone: string;
  images: any;
  intro: string;
}

export function personalCodeStamper(personalCode: number): string {
  const code = personalCode.toString();
  const gender = code.substring(0, 1);
  const year = (parseInt(gender, 10) < 5 ? '19' : '20') + code.substring(1, 3);
  const month = code.substring(3, 5);
  const day = code.substring(5, 7);
  return `${year}.${month}.${day}`;
}
